var helpers = require("../util/helpers")

module.exports = function(req, next){
  if (req.argv.help || req.argv.h) {
    helpers
      //.log()
      //.log("  " + req.configuration.name.bold, "– single command web publishing.".grey, ("(v" + req.pkg.version + ")"). grey)
      .log()
      .log("  Main Usage:".grey)
      .log("    "+ req.configuration.name +" <project-path> <domain>       publish project to domain")
      .log()
      .log("  Project Commands:".grey)
      .log("    "+ req.configuration.name +" cutover <preview>             change to latest revision")
      .log("    "+ req.configuration.name +" discard <preview>             remove revision from system")
      .log("    "+ req.configuration.name +" rollfore <domain>             change to next revision")
      .log("    "+ req.configuration.name +" rollback <domain>             change to previous revision")
      .log("    "+ req.configuration.name +" teardown <domain>             tear down a published project")
      .log("    "+ req.configuration.name +" invite <domain> <emails>      invites user to be a contributor")
      .log("    "+ req.configuration.name +" revoke <domain> <emails>      revokes contributor rights")
      .log("    "+ req.configuration.name +" list <domain>                 list all revisions")
      .log("    "+ req.configuration.name +" ssl <domain> <pempath>        publish .pem file for SSL support")
      .log()
      .log("  Account Commands:".grey)
      .log("    "+ req.configuration.name +" whoami                        show who you are logged in as")
      .log("    "+ req.configuration.name +" login                         only performs authentication step")
      .log("    "+ req.configuration.name +" logout                        expire local token")
      .log("    "+ req.configuration.name +" token                         create token for automation purposes")
      .log("    "+ req.configuration.name +" plan                          upgrade or downgrade account plan")
      .log("    "+ req.configuration.name +" list                          list all projects")
      .log()
      .log("  Options:".grey)
      .log("    -s, --preview                       (when publishing) publishes preview")
      .log("    -t, --token                         pass in token to use for call")
      .log("    -V, --version                       show the version number")
      .log("    -h, --help                          show this help message")
      .log()
      .log("  Examples:".grey)
      .log("    "+ req.configuration.name +" www example.com               publishes www directory to example.com")
      .log("    "+ req.configuration.name +" . example.com --preview       publishes current directory for preview")
      .log("    "+ req.configuration.name +" cutover example.com           switches latest preview to production")
      .log("    "+ req.configuration.name +" . _                           publish current dir to random subdomain")
      // .log()
      // .log("  Guides:".grey)
      // .log("    Getting started     " + "surge.sh/help/getting-started-with-surge".underline.grey)
      // .log("    Custom domains      " + "surge.sh/help/adding-a-custom-domain".underline.grey)
      // .log("    Additional help     " + "surge.sh/help".underline.grey)
      .log()
      .log("  When in doubt, run ".grey + req.configuration.name.green.underline + " from within your project directory.".grey)
      .log()

  } else {
    next()
  }
}
